<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData\Interfaces;

/**
 * Interface CropResizeDataInterface
 *
 * @package Infomaker\Imengine\CropData\Interfaces
 */
interface CropResizeDataInterface
{

    /**
     * @return int
     */
    public function getWidth(): ?int;

    /**
     * @return int
     */
    public function getHeight(): ?int;

    /**
     * @return float
     */
    public function getCropHeight(): float;

    /**
     * @return float
     */
    public function getCropWidth(): float;

    /**
     * @return float
     */
    public function getCropX(): float;

    /**
     * @return float
     */
    public function getCropY(): float;
}
